org.apache.commons.collections4.functors

## Class FactoryTransformer<I,O>

- java.lang.Object
- - org.apache.commons.collections4.functors.FactoryTransformer<I,O>

- All Implemented Interfaces:
    Serializable, Transformer<I,O>

      public class FactoryTransformer<I,O>
      extends Object
      implements Transformer<I,O>, Serializable

  Transformer implementation that calls a Factory and returns the result.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryTransformer(Factory<? extends O> factory)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I,O> Transformer<I,O>` | `factoryTransformer(Factory<? extends O> factory)` Factory method that performs validation.
    `Factory<? extends O>` | `getFactory()` Gets the factory.
    `O` | `transform(I input)` Transforms the input by ignoring the input and returning the result of calling the decorated factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryTransformer

          public FactoryTransformer(Factory<? extends O> factory)

      Constructor that performs no validation. Use `factoryTransformer` if you want that.
      Parameters:
        `factory` - the factory to call, not null

  - ### Method Detail

    - #### factoryTransformer

          public static <I,O> Transformer<I,O> factoryTransformer(Factory<? extends O> factory)

      Factory method that performs validation.
      Type Parameters:
        `I` - the input type
        `O` - the output type
      Parameters:
        `factory` - the factory to call, not null
      Returns:
        the `factory` transformer
      Throws:
        `NullPointerException` - if the factory is null

    - #### transform

          public O transform(I input)

      Transforms the input by ignoring the input and returning the result of calling the decorated factory.
      Specified by:
        `transform` in interface `Transformer<I,O>`
      Parameters:
        `input` - the input object to transform
      Returns:
        the transformed result

    - #### getFactory

          public Factory<? extends O> getFactory()

      Gets the factory.
      Returns:
        the factory
      Since:
        3.1

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.